////////////////////////////////////////////////////////////////////////////////
// Copyright  1993 Apple Computer, Inc. All rights reserved.
////////////////////////////////////////////////////////////////////////////////
// AppleScript Registry constants
////////////////////////////////////////////////////////////////////////////////

#ifndef __ASREGISTRY__
#define __ASREGISTRY__

#ifndef __AEREGISTRY__
#include <AERegistry.r>
#endif

#define kASAppleScriptSuite			'ascr'
#define kASTypeNamesSuite			'tpnm'

// Dynamic Terminologies:
#define typeAETE					'aete'
#define typeAEUT					'aeut'
#define kGetAETE					'gdte'
#define kGetAEUT					'gdut'
#define kASCommentEvent				'cmnt'
#define kASLaunchEvent				'noop'

// User-defined record fields:
#define keyASUserRecordFields		'usrf'
#define typeUserRecordFields		typeAEList

// Operator Events:
#define keyASArg					'arg '
	// Binary:
#define kASEqual					kAEEquals
#define kASNotEqual					'   '
#define kASGreaterThan				kAEGreaterThan
#define kASGreaterThanOrEqual		kAEGreaterThanEquals
#define kASLessThan					kAELessThan
#define kASLessThanOrEqual			kAELessThanEquals
#define kASStartsWith				kAEBeginsWith
#define kASEndsWith					kAEEndsWith
#define kASContains					kAEContains
	// not currently sent:
#define kASConcatenate				'ccat'
#define kASAdd						'+   '
#define kASSubtract					'-   '
#define kASMultiply					'*   '
#define kASDivide					'/   '
#define kASQuotient					'div '
#define kASRemainder				'mod '
#define kASPower					'^   '
	// Unary:
#define kASNegate					'neg '

// Subroutine Events:
#define kASSubroutineEvent			'psbr'
#define keyASSubroutineName			'snam'

// Subroutine event parameter prepositions:
#define keyASPrepositionAt			'at  '
#define keyASPrepositionIn			'in  '
#define keyASPrepositionFrom		'from'
#define keyASPrepositionFor			'for '
#define keyASPrepositionTo			'to  '
#define keyASPrepositionThru		'thru'
#define keyASPrepositionThrough		'thgh'
#define keyASPrepositionBy			'by  '
#define keyASPrepositionOn			'on  '
#define keyASPrepositionInto		'into'
#define keyASPrepositionOnto		'onto'
#define keyASPrepositionBetween		'btwn'
#define keyASPrepositionAgainst		'agst'
#define keyASPrepositionOutOf		'outo'
#define keyASPrepositionInsteadOf	'isto'
#define keyASPrepositionAsideFrom	'asdf'
#define keyASPrepositionAround		'arnd'
#define keyASPrepositionBeside		'bsid'
#define keyASPrepositionBeneath		'bnth'
#define keyASPrepositionUnder		'undr'
#define keyASPrepositionOver		'over'
#define keyASPrepositionAbove		'abve'
#define keyASPrepositionBelow		'belw'
#define keyASPrepositionApartFrom	'aprt'
#define keyASPrepositionAbout		'abou'
#define keyASPrepositionSince		'snce'
#define keyASPrepositionUntil		'till'

// AppleScript Classes and Enums:
#define cEventIdentifier			'evnt'
#define cScript						'scpt'
#define cSeconds					'scnd'
#define cList						typeAEList
#define cRecord						typeAERecord

// List properties:
#define pLength						'leng'
#define pReverse					'rvse'
#define pRest						'rest'

// Script properties:
#define pASParent					'pare'

// Properties of global environment:
#define pASPrintLength				'prln'
#define pASPrintDepth				'prdp'

// Considerations:
#define enumConsiderations			'cons'
#define kAECase						'case'
#define kAEDiacritic				'diac'
#define kAEWhiteSpace				'whit'
#define kAEHyphens					'hyph'
#define kAEExpansion				'expa'
#define kAEPunctuation				'punc'
#define kAEZenkakuHankaku			'zkhk'
#define kAESmallKana				'skna'
#define kAEKataHiragana				'hika'
	// AppleScript considerations:
#define kASConsiderReplies			'rmte'

// System classes:
#define cZone						'zone'
#define cMachine					'mach'

////////////////////////////////////////////////////////////////////////////////
#endif
////////////////////////////////////////////////////////////////////////////////
